Imports System
Imports System.ComponentModel

Imports DevExpress.Xpo
Imports DevExpress.Data.Filtering

Imports DevExpress.ExpressApp
Imports DevExpress.Persistent.Base
Imports DevExpress.Persistent.BaseImpl
Imports DevExpress.Persistent.Validation

<DefaultClassOptions()> _
<NonPersistent()> _
<NavigationItem(False), CreatableItem(False)> _
Public Class RecipeExecutionSimplePopupFrom
    Inherits BaseObject
    Property RecipeFrom As RecipeFrom
    Property StorageComputed As StorageComputed
    Property QTTNeed As Double
    Property QTTDifferent As Double

    Public Sub New(ByVal session As Session)
        MyBase.New(session)
    End Sub
    Public Overrides Sub AfterConstruction()
        MyBase.AfterConstruction()
    End Sub
End Class
<DefaultClassOptions()> _
<NonPersistent()> _
<NavigationItem(False), CreatableItem(False)> _
Public Class RecipeExecutionSimplePopupTo
    Inherits BaseObject
    Property RecipeTo As RecipeTo
    Property StorageComputed As StorageComputed
    Property QTTNeed As Double
    Property QTTDifferent As Double

    Public Sub New(ByVal session As Session)
        MyBase.New(session)
    End Sub
    Public Overrides Sub AfterConstruction()
        MyBase.AfterConstruction()
    End Sub
End Class